Package org.zkoss.zk.au

## Class RequestOutOfSequenceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.zkoss.lang.SystemException
        - - org.zkoss.zk.ui.UiException
          - - org.zkoss.zk.au.RequestOutOfSequenceException

- All Implemented Interfaces:
    `java.io.Serializable`, `Messageable`, `MessageConst`

      public class RequestOutOfSequenceException
      extends UiException

  Indicates a request is out-of-sequence, and the request shall be ignored.
  Since:
    5.0.4
  Author:
    tomyeh
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.zkoss.zk.ui.UiException

      `UiException.Aide`

    - ### Nested classes/interfaces inherited from interface org.zkoss.mesg.MessageConst

      `MessageConst.BundleInfo`

  - ### Field Summary

    - ### Fields inherited from class org.zkoss.lang.SystemException

      `_code`

    - ### Fields inherited from interface org.zkoss.mesg.MessageConst

      `NULL_CODE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RequestOutOfSequenceException​(java.lang.String reqId, java.lang.String oldReqId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getProcessingId()` | Returns the sequence ID of the request being processed.
    `java.lang.String` | `getRequestId()` | Returns the sequence ID of the new request.

    - ### Methods inherited from class org.zkoss.lang.SystemException

      `getCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestOutOfSequenceException

          public RequestOutOfSequenceException​(java.lang.String reqId,
                                               java.lang.String oldReqId)

  - ### Method Detail

    - #### getRequestId

          public java.lang.String getRequestId()

      Returns the sequence ID of the new request.

    - #### getProcessingId

          public java.lang.String getProcessingId()

      Returns the sequence ID of the request being processed.